Qt Cryptographic Architecture: QCA::CertCollectionContext Class Reference

# QCA::CertCollectionContext Class Reference
[QCA provider API]

X.509 certificate collection provider. More...

`#include <QtCrypto>`

Inheritance diagram for QCA::CertCollectionContext:

Collaboration diagram for QCA::CertCollectionContext:

[legend]

List of all members.

## Public Member Functions
| CertCollectionContext (Provider *p)
virtual ConvertResult | fromPKCS7 (const QByteArray &a, QList< CertContext * > *certs, QList< CRLContext * > *crls) const =0
virtual QByteArray | toPKCS7 (const QList< CertContext * > &certs, const QList< CRLContext * > &crls) const =0

## Detailed Description

X.509 certificate collection provider.

Note:
  This class is part of the provider plugin interface and should not be used directly by applications. You probably want CertificateCollection instead.

## Constructor & Destructor Documentation

QCA::CertCollectionContext::CertCollectionContext | ( | Provider * | p | ) | `[inline]`

Standard constructor.

Parameters:

  | p | the provider associated with this context

## Member Function Documentation

virtual ConvertResult QCA::CertCollectionContext::fromPKCS7 | ( | const QByteArray & | a,
|  | QList< CertContext * > * | certs,
|  | QList< CRLContext * > * | crls |
| ) |  |  | const`[pure virtual]`

Read PKCS#7 DER input and convert it into a list of certificates and CRLs.

The caller is responsible for deleting the returned items.

Returns QCA::ConvertGood if successful, otherwise some error value.

Parameters:

  | a | the input data
  | certs | the destination list for the certificates
  | crls | the destination list for the CRLs

virtual QByteArray QCA::CertCollectionContext::toPKCS7 | ( | const QList< CertContext * > & | certs,
|  | const QList< CRLContext * > & | crls |
| ) |  |  | const`[pure virtual]`

Create PKCS#7 DER output based on the input certificates and CRLs.

Returns an empty array on error.

Parameters:

  | certs | list of certificates to store in the output
  | crls | list of CRLs to store in the output

The documentation for this class was generated from the following file:

- qcaprovider.h